Retrieve a single virtual bank account
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/virtual-bank-account/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/virtual-bank-account/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/virtual-bank-account/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/virtual-bank-account/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/virtual-bank-account/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Virtual bank account retrieved successfully.",
"data": {
"id": "33580c65-d063-4138-a875-82ff09dfaeb5",
"business_wallet_id": "b18ed308-5ac5-4e9e-bb16-8c03ec2d3c01",
"currency_id": 1,
"currency": "NGN",
"account_number": "7880000024",
"account_name": "John Doe",
"bank_name": "78 Finance Company Limited",
"bank_code": "123456",
"provider": "BANK78",
"account_reference": "2327323232",
"reservation_reference": null,
"rejection_reason": null,
"status": "SUCCESSFUL"
}
}{
"message": "Invalid or missing access token"
}{
"message": "Virtual bank account not found"
}Virtual Bank Account
Retrieve a single virtual bank account
Retrieves details of a specific virtual bank account by its ID. Required scope: virtual-account:read.
GET
/
api
/
external
/
virtual-bank-account
/
{id}
Retrieve a single virtual bank account
Authorizations
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
Path Parameters
ID of the virtual bank account to retrieve.
Was this page helpful?
⌘I

